SLES15 SP1: Python package problem killed zypper

The bug https://bugzilla.suse.com/show_bug.cgi?id=1180377 is affecting me and specifically it is causing zypper to crash on almost any command because the RIS zypp services are running into that issue when zypper tries to refresh repos. The fix is to install an old (or now the new) version of libpython3_6m1_0 (see also https://www.suse.com/support/kb/doc/?id=000019818). However, I can't do that because zypper can't run, and the few commands it can run in this state don't allow me to find or install this package.

On openSUSE I would just find the repository URLs and browse the appropriate one to find the package I need and download it, but there are no repo URLs (at least that I can find) here. Is there a way I can manually get libpython3_6m1_0 RPM for SLES and install it? This is assuming that zypper will install an RPM file without needing to refresh and thus crashing. Considering what the bug is, I can't be the only one who is stuck like this right?

Comments

  • malcolmlewismalcolmlewis Knowledge Partner

    @jacraig Hi and welcome to the Forum :)
    You can visit the SUSE Customer Center https://scc.suse.com/dashboard and under 'My Tools' you can search for packages and search/download as required. If you have the install media handy, it might be on there as well...

  • edited January 5

    Ah, that would be eminently useful other than the fact that I'm running on an AWS EC2 "pay as you go" instance, not a "bring your own subscription" instance in which one is tied in via SCC. And thanks for the welcome!

  • malcolmlewismalcolmlewis Knowledge Partner

    @jacraig Hi, If you don't have access to SCC, then would suggest grab the download media and grab the file(s) your after? You want the DVD with the packages...

  • edited January 5

    Excellent! Exactly what I needed. Got the old version installed from the DVD long enough to refresh and get then new stuff downloaded in the normal fashion! Thank you.

Sign In or Register to comment.